﻿if exists (select * from sysobjects where id = OBJECT_ID('[AccountGroup]') and OBJECTPROPERTY(id, 'IsUserTable') = 1) 
DROP TABLE [AccountGroup]

CREATE TABLE [AccountGroup] (
[Id] [int]  IDENTITY (1, 1)  NOT NULL,
[Name] [varchar]  (64) NULL,
[Parent] [int]  NULL,
[Visible] [bit]  NULL,
[UpdateUser] [varchar]  (32) NULL,
[UpdateDate] [datetime]  NULL)

ALTER TABLE [AccountGroup] WITH NOCHECK ADD  CONSTRAINT [PK_AccountGroup] PRIMARY KEY  NONCLUSTERED ( [Id] )
SET IDENTITY_INSERT [AccountGroup] ON

INSERT [AccountGroup] ([Id],[Name],[Parent],[Visible],[UpdateUser],[UpdateDate]) VALUES ( 1,N'Marketing Expenses',0,1,N'Demo','2012-01-01 01:15:23')
INSERT [AccountGroup] ([Id],[Name],[Parent],[Visible],[UpdateUser],[UpdateDate]) VALUES ( 2,N'Promotion',1,1,N'Demo','2012-01-01 01:15:23')
INSERT [AccountGroup] ([Id],[Name],[Parent],[Visible],[UpdateUser],[UpdateDate]) VALUES ( 3,N'Giveaways',2,1,N'Demo','2012-01-01 01:15:23')
INSERT [AccountGroup] ([Id],[Name],[Parent],[Visible],[UpdateUser],[UpdateDate]) VALUES ( 4,N'BBQs',1,1,N'Demo','2012-01-01 01:15:23')
INSERT [AccountGroup] ([Id],[Name],[Parent],[Visible],[UpdateUser],[UpdateDate]) VALUES ( 5,N'Sales',0,1,N'Demo','2012-01-01 01:15:23')
INSERT [AccountGroup] ([Id],[Name],[Parent],[Visible],[UpdateUser],[UpdateDate]) VALUES ( 6,N'Fixed Assets',0,1,N'Demo','2012-01-01 01:15:23')
INSERT [AccountGroup] ([Id],[Name],[Parent],[Visible],[UpdateUser],[UpdateDate]) VALUES ( 7,N'Cost of Goods Sold',0,1,N'Demo','2012-01-01 01:15:23')
INSERT [AccountGroup] ([Id],[Name],[Parent],[Visible],[UpdateUser],[UpdateDate]) VALUES ( 8,N'Outward Freight',7,1,N'Demo','2012-01-01 01:15:23')

SET IDENTITY_INSERT [AccountGroup] OFF