﻿namespace Demo.Oracle
{
    public class AccountGroupTable : EAP.Data.DbTable
    {

        private const string ___tableName = "ACCOUNT_GROUP";

        #region Member Field Region

        private EAP.Data.DbColumn _Id;

        private EAP.Data.DbColumn _Name;

        private EAP.Data.DbColumn _Parent;

        private EAP.Data.DbColumn _Visible;

        private EAP.Data.DbColumn _UpdateUser;

        private EAP.Data.DbColumn _UpdateDate;
        #endregion

        public AccountGroupTable() :
            this(___tableName)
        {
        }

        public AccountGroupTable(string alias) :
            base(___tableName, alias)
        {
            _Id = new EAP.Data.DbColumn((alias + ".ID"), System.Data.DbType.Int32);
            _Name = new EAP.Data.DbColumn((alias + ".NAME"), System.Data.DbType.AnsiString);
            _Parent = new EAP.Data.DbColumn((alias + ".PARENT"), System.Data.DbType.Int32);
            _Visible = new EAP.Data.DbColumn((alias + ".VISIBLE"), System.Data.DbType.Int16);
            _UpdateUser = new EAP.Data.DbColumn((alias + ".UPDATE_USER"), System.Data.DbType.AnsiString);
            _UpdateDate = new EAP.Data.DbColumn((alias + ".UPDATE_DATE"), System.Data.DbType.DateTime);
        }

        #region Member Property Region

        /// <summary>
        /// <para>主键 </para>
        /// <para>DbType:System.Data.DbType.Int32</para>
        /// </summary>
        public EAP.Data.DbColumn Id
        {
            get
            {
                return _Id;
            }
        }

        /// <summary>
        /// <para>名称</para>
        /// <para>DbType:System.Data.DbType.AnsiString</para>
        /// </summary>
        public EAP.Data.DbColumn Name
        {
            get
            {
                return _Name;
            }
        }

        /// <summary>
        /// <para>上级组别</para>
        /// <para>DbType:System.Data.DbType.Int32</para>
        /// </summary>
        public EAP.Data.DbColumn Parent
        {
            get
            {
                return _Parent;
            }
        }

        /// <summary>
        /// <para>可见性</para>
        /// <para>DbType:System.Data.DbType.Int16</para>
        /// </summary>
        public EAP.Data.DbColumn Visible
        {
            get
            {
                return _Visible;
            }
        }

        /// <summary>
        /// <para>更新者</para>
        /// <para>DbType:System.Data.DbType.AnsiString</para>
        /// </summary>
        public EAP.Data.DbColumn UpdateUser
        {
            get
            {
                return _UpdateUser;
            }
        }

        /// <summary>
        /// <para>更新时间</para>
        /// <para>DbType:System.Data.DbType.DateTime</para>
        /// </summary>
        public EAP.Data.DbColumn UpdateDate
        {
            get
            {
                return _UpdateDate;
            }
        }
        #endregion
    }
}